
CoCoA-5 - Feature #1247

sleep function

26 Feb 2019 11:38 - John Abbott

Status: Closed Start date: 26 Feb 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: CoCoA-5 function: new Estimated time: 1.99 hour

Target version: CoCoA-5.3.0 Spent time: 1.90 hour

Description

Consider adding a "sleep function" to CoCoA-5.

This could be useful in an interactive context (e.g. the "Can't Stop" game).

Related issues:

Related to CoCoA-5 - Support #1240: John's visit Feb 2019 Closed 08 Feb 2019

History

#1 - 26 Feb 2019 11:42 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- % Done changed from 0 to 40

If we use C++11 then this is a relatively simple task (since C++11 already offers a decent "sleep function").

It's not clear to me how useful this really will be, but it was easy to add.  Also I have modified CantStop.cpkg5 so that the game "sleeps" for about 1s

after "falling off the mountain" or if there was only one possible move (which then happens automatically); it seems to be a slightly easier to follow the

game with these changes.

STILL TO DO  update CoCoA-5 manual.

#2 - 26 Feb 2019 11:42 - John Abbott

- Related to Support #1240: John's visit Feb 2019 added

#3 - 04 Mar 2019 18:00 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 40 to 100

- Estimated time set to 1.99 h

Checked in.  Documentation.  Tested.  Works on Anna's computer.

Closing.

Powered by TCPDF (www.tcpdf.org)

28 Apr 2024 1/1

http://www.tcpdf.org

